Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class ConditionList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<Condition>
                  nl.liacs.subdisc.ConditionList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Condition>, java.util.Collection<Condition>, java.util.List<Condition>, java.util.RandomAccess

    public class ConditionList

extends java.util.ArrayList<Condition>

See Also:
  Serialized Form

Constructor Summary
`ConditionList()`

Method Summary
`boolean` | `addCondition(Condition theCondition)`
`ConditionList` | `copy()`
`boolean` | `equals(java.lang.Object theObject)`
`void` | `sort()` Sorts this ConditionList according to 'natural' order of `Condition`s.
`void` | `toSearchOrder()` Puts the `Condition`s in this ConditionList in the order in which they were found during the search process.
`java.lang.String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`hashCode`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, hashCode`

Constructor Detail

### ConditionList

    public ConditionList()

Method Detail

### copy

    public ConditionList copy()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection<Condition>`

### equals

    public boolean equals(java.lang.Object theObject)

  Specified by:
    `equals` in interface `java.util.Collection<Condition>`
  Specified by:
    `equals` in interface `java.util.List<Condition>`
  Overrides:
    `equals` in class `java.util.AbstractList<Condition>`

### addCondition

    public boolean addCondition(Condition theCondition)

### toSearchOrder

    public void toSearchOrder()

  Puts the `Condition`s in this ConditionList in the order in which they were found during the search process. To put them back in the 'natural' order of `Condition`s, call `sort()` on this ConditionList.

  See Also:
    `sort()`

### sort

    public void sort()

  Sorts this ConditionList according to 'natural' order of `Condition`s. Not used for now, may come in hand for Safarii-like 'deeper' functionality.

  See Also:
    `Condition.compareTo(nl.liacs.subdisc.Condition)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD